Technical Requirements

Technical Browser Requirements

The Information Literacy Course Modules work well in most of the common browsers (e.g. Chrome, Internet Explorer, Safari, Opera), as well as tablets and mobile devices. For the best ILCM experience, we recommend you update your browser to the most recent version.

Some of the features may not work or display correctly in Firefox, and therefore Firefox is not a recommended browser.


If you have an older browser, some ILCM features may not work or display correctly. To update your browser to the most recent version, visit the browser websites:

Windows

Mac OS

Have a question or feedback about this answer?

Click here to submit a support request or click here to access the Community page and post your question or comment.

Powered by Zendesk